## org.apache.bcel.generic
Class NEWARRAY

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.NEWARRAY

All Implemented Interfaces:
  AllocationInstruction, java.lang.Cloneable, ExceptionThrower, java.io.Serializable, StackProducer

public class NEWARRAY
extends Instruction
implements AllocationInstruction, ExceptionThrower, StackProducer

NEWARRAY - Create new array of basic type (int, short, ...)

    Stack: ..., count -> ..., arrayref

type must be one of T_INT, T_SHORT, ...

Version:
  $Id: NEWARRAY.java,v 1.2 2002/08/07 18:01:32 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`NEWARRAY(BasicType type)`
`NEWARRAY(byte type)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`void` `dump(java.io.DataOutputStream out)` Dump instruction as byte code to stream out.
`java.lang.Class[]` `getExceptions()`
`Type` `getType()`
`byte` `getTypecode()`
`protected void` `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g. index) from file.
`java.lang.String` `toString(boolean verbose)` Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### NEWARRAY

    public NEWARRAY(byte type)

### NEWARRAY

    public NEWARRAY(BasicType type)

Method Detail

### dump

    public void dump(java.io.DataOutputStream out)
              throws java.io.IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `Instruction`
  Parameters:
    `out` - Output stream
    `java.io.IOException`

### getTypecode

    public final byte getTypecode()

  Returns:
    numeric code for basic element type

### getType

    public final Type getType()

  Returns:
    type of constructed array

### toString

    public java.lang.String toString(boolean verbose)

  Description copied from class: `Instruction`
  Long output format: <name of opcode> "["<opcode number>"]" "("<length of instruction>")"

  Overrides:
    `toString` in class `Instruction`
  Parameters:
    `verbose` - long/short format switch
  Returns:
    mnemonic for instruction

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws java.io.IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `Instruction`
  Parameters:
    `bytes` - byte sequence to read from
    `wide` - "wide" instruction flag
    `java.io.IOException`

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.